Watchlist and recent changes should include a legend for the N, m, b, ± icons
Closed, ResolvedPublic

Description

Watchlist and recent changes should include a legend for the N, m, b, ± icons. They have tooltips, but that's not necessarily discoverable.

The Russian Wikipedia has a really nice one: https://ru.wikipedia.org/wiki/Служебная:Свежие_правки


Version: 1.22.0
Severity: enhancement
Whiteboard: gci2013 https://www.mediawiki.org/wiki/Google_Code-In#Candidate_tasks
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43463

bzimport set Reference to bz52005.
matmarex created this task.Via LegacyJul 25 2013, 12:17 AM
Keegan added a comment.Via ConduitJul 25 2013, 12:21 AM

I agree with this. I found the instance on the Russian Wikipedia extraordinarily useful to learn what I was looking for in recent changes despite not knowing the language. Such a legend would be useful to all Wikimedia projects.

bzimport added a comment.Via ConduitNov 19 2013, 10:38 AM

tehalmightyscimonster wrote:

Just to say i've claimed this task on GCI. Gonna set up MediaWiki on my local server and start hacking. Even though since last month i prefer Node to PHP. :)

bzimport added a comment.Via ConduitNov 19 2013, 7:29 PM

tehalmightyscimonster wrote:

I uploaded my changes to includes/specials/SpecialRecentchanges.php and languages/messages/MessagesEn.php to Melange. I still have to do the watchlist.

What about Special:RecentChangesLinked while we're at it?

bzimport added a comment.Via ConduitNov 19 2013, 7:30 PM

tehalmightyscimonster wrote:

@ #3: Oh, oops, didn't check Special:RecentChangesLinked. MW already added it. :)

matmarex added a comment.Via ConduitNov 19 2013, 8:01 PM

Yes, that's because SpecialRecentchangeslinked is a subclass of SpecialRecentChanges. (SpecialWatchlist should probably be a subclass of it, too, but it's currently not – that's tracked as bug 48641.)

gerritbot added a comment.Via ConduitNov 24 2013, 5:14 PM

Change 96584 had a related patch set uploaded by Bartosz Dziewoński:
Add legend to Special:RecentChanges and Special:Watchlist

https://gerrit.wikimedia.org/r/96584

gerritbot added a comment.Via ConduitNov 24 2013, 5:22 PM

Change 96584 merged by jenkins-bot:
Add legend to Special:RecentChanges and Special:Watchlist

https://gerrit.wikimedia.org/r/96584

matmarex added a comment.Via ConduitNov 24 2013, 5:23 PM

Fixed by Scimonster as a GCI task. Thanks!

MZMcBride added a comment.Via ConduitNov 25 2013, 4:22 AM

(In reply to comment #8)

Fixed by Scimonster as a GCI task. Thanks!

Link?

MZMcBride added a comment.Via ConduitNov 25 2013, 4:23 AM
Stryn added a comment.Via ConduitDec 12 2013, 9:28 PM

Isn't it possible to edit those tables locally? On fi-wiki we have on RC page following text:
"Merkkien selitykset: +/-(luku) = sivun merkkimäärän muutos, U = uusi sivu, p = pieni muutos, b = botin tekemä muutos, [arvioimaton] = arvioimaton sivu."

And the new table does not include "[arvioimaton]" (=unchecked page) text. This text should be in those wiki's where is pending changes extension enabled.

Legoktm added a comment.Via ConduitDec 12 2013, 10:52 PM

(In reply to comment #12)

We now have two of them.

You can add ".mw-changeslist-legend { display: none; }" to your MediaWiki:Common.css to hide the new one.

Umar added a comment.Via ConduitDec 12 2013, 11:10 PM

umar.dagirov wrote:

Thank you very much got close. Issue has been resolved.

Krinkle added a comment.Via ConduitDec 13 2013, 12:06 AM

I've heard a fair amount of noise on the wikis from users not appreciating the usefulness of this. I'll try to summarise the concerns and suggestions below. I've translated some of them to different angles as I believe the response was exaggerated due to the visual footprint (a legend on itself should be useful, and should remain I believe).

I don't dispute its usefulness, but I understand the concerns. The main issue here is that this new legend is too large and quite "in your face" and way too prominent on the top of a page active editors use very frequently. I don't think such a big box is justified.

Encouraging CSS modifications as a first response is imho not an acceptable solution for this, but can work as a temporary work-around for tech-savvy users.

It adds clutter to an already over-populated system and can make it just that extra bit of overwhelming that I think this is a user experience regression.

It looks like design input was requested on this issue, did this change end up getting design input?

As a first aid, I would recommend moving it to the bottom of the page (similar to how recent changes used to have, where did that one go by the way?).

Also note that most of these icons have tooltips that do provide some information (though that's not a great UX either).

Krinkle added a comment.Via ConduitDec 13 2013, 12:12 AM

Created attachment 14078
Screenshot of the legend

Attached:

bzimport added a comment.Via ConduitDec 13 2013, 4:05 PM

number24602 wrote:

Why is "Pages that have been changed since you last visited them are shown with a green bullet." not part of the same legend box?

Ainali added a comment.Via ConduitDec 13 2013, 4:18 PM

On mobile, the layout takes up a lot of space. I guess that could be enhanced pretty easily though by removing some linebreaks. I attached a screenshot on how it looks on my phone right now.

Ainali added a comment.Via ConduitDec 13 2013, 4:19 PM

Created attachment 14086
On mobile, not even the entire legend is visible

Attached:

matmarex added a comment.Via ConduitDec 13 2013, 8:11 PM

Another suggestion from [[WP:VPT]]: to add a space for additional information to the legend box.

matmarex added a comment.Via ConduitDec 13 2013, 8:12 PM

(In reply to comment #17)

I've heard a fair amount of noise on the wikis from users not
appreciating the usefulness of this.

I've heard both kinds of feedback, but most of it positive. (And I
can't think of a single change which was commented on, and only
commened on positively.)

The main issue here is that this new legend is too large and quite
"in your face" and way too prominent on the top of a page active
editors use very frequently. I don't think such a big box is
justified.

I dunno, I'd say it's pretty compact – smaller font, offset to the side…

It looks like design input was requested on this issue, did this
change end up getting design input?

I don't remember any. Hardly any changes ever get design input even
when it's asked for.

As a first aid, I would recommend moving it to the bottom of the
page (similar to how recent changes used to have, where did that one
go by the way?).

I don't remember ever seeing such a thing, and I joined in 2009. This
might not be a bad idea, when somebody joins a wiki their watchlist
will at the beginning be rather short, so they should see this.

Also note that most of these icons have tooltips that do provide some
information (though that's not a great UX either).

Yeah, this was noted in comment 0.

matmarex added a comment.Via ConduitDec 13 2013, 8:16 PM

(In reply to comment #19)

Why is "Pages that have been changed since you last visited them are
shown with a green bullet." not part of the same legend box?

Good question; I'd say it's out of scope of this bug and the box. The
entire top area of watchlist should be redone from scratch, but that's
not easy to do, especially given how often the page is used by
power-users. (Also, note that this text is a custom en.wp
modification, by default such pages are shown in bold.)

(In reply to comment #20)

On mobile, the layout takes up a lot of space. I guess that could be enhanced
pretty easily though by removing some linebreaks. I attached a screenshot on
how it looks on my phone right now.

(In reply to comment #21)

Created attachment 14086 [details]
On mobile, not even the entire legend is visible

This looks like a mobile bug: the styles are stripped. No idea why,
and I don't have a mobile device to test on, sorry.

Attached:

gerritbot added a comment.Via ConduitDec 13 2013, 9:53 PM

Change 101446 had a related patch set uploaded by Bartosz Dziewoński:
Make legend on Special:RecentChanges and Special:Watchlist collapsible

https://gerrit.wikimedia.org/r/101446

matmarex added a comment.Via ConduitDec 13 2013, 10:01 PM

My patch above would make the legend box collapsible (it would remember the state across page refreshes). I think that's the most reasonable compromise; I chatted with some Wikipedia editors on IRC and we came up with that. :)

bzimport added a comment.Via ConduitDec 13 2013, 11:27 PM

7rt1j wrote:

(In reply to comment #23)

I dunno, I'd say it's pretty compact – smaller font, offset to the side…

Before I added some user CSS to hack it down a bit, it was using about 40% of the content width (at 1024×768). This caused the watchlist options to wrap to more lines, hence increasing the used vertical space too.

The main problem is that the text is too verbose – for example, the first line shows "This edit created a new page (also see list of new pages)". This could be cut down to "New page created". A similar case applies to the rest of the lines (except "Wikidata edit", which is fine).

The verbosity is fine for tool-tips, though. I suggest having the tool-tips and legend text use different messages.

bzimport added a comment.Via ConduitDec 15 2013, 12:48 AM

danny.b wrote:

I have reverted the changes:

  1. There already exists MediaWiki:Rclegend which is optionally used for such purposes.
  2. All flags contain tooltips, so the information *is* present.
  3. Poor design anyway - in narrow resolutions (i.e. 1024*768) it causes enormous shift of the content out of the viewport. Also no way how to get rid of it, because it is hardcoded.

See also bug 16171.

Cwek added a comment.Via ConduitDec 16 2013, 9:04 AM

En...
Can it add a option in Special:Preferences to hide the legend because Maybe some user don't need it?I was surprise for it when I saw it at the first time,but It make me confuse.And It looks incongruous for other things.

Jaredzimmerman-WMF added a comment.Via ConduitDec 16 2013, 9:16 AM

No more options in preferences please.

Jaredzimmerman-WMF added a comment.Via ConduitDec 16 2013, 9:22 AM

Re: design input. This whole page needs an entire redesign a legend should be needed. But in this case with the deign of the page how it is I can see how a legend could be helpful. The current tooltip help doesn't seem to work for me (chrome Dev build/Mac OS 10.8)

matmarex added a comment.Via ConduitDec 16 2013, 9:50 AM

(In reply to comment #28)

I have reverted the changes:

No, you didn't, you only submitted a revert for review. (For the record, that is https://gerrit.wikimedia.org/r/#/c/101603/ and https://gerrit.wikimedia.org/r/#/c/101604/ .)

  1. All flags contain tooltips, so the information *is* present.

This was noted in comment 0 and is insufficient.

(In reply to comment #28)

  1. Poor design anyway - in narrow resolutions (i.e. 1024*768) it causes enormous shift of the content out of the viewport. Also no way how to get rid of it, because it is hardcoded.

(In reply to comment #29)

En...
Can it add a option in Special:Preferences to hide the legend because Maybe
some user don't need it?I was surprise for it when I saw it at the first
time,but It make me confuse.And It looks incongruous for other things.

There is a patch pending that would make it collapsible: https://gerrit.wikimedia.org/r/101446 . Nobody bothered to review it yet.

gerritbot added a comment.Via ConduitDec 18 2013, 7:30 PM

Change 101446 merged by jenkins-bot:
Make legend on Special:RecentChanges and Special:Watchlist collapsible

https://gerrit.wikimedia.org/r/101446

matmarex added a comment.Via ConduitDec 18 2013, 7:47 PM

The collapsibility patch was merged and is slated to be deployed on all wikis tomorrow; I will mark this bug as resolved again when that happens.

I think it would be better to file any other requests as new bugs :)

matmarex added a comment.Via ConduitDec 19 2013, 8:35 PM

Deployed. I hope we're all as happy about this as I am now :)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.